Page MenuHomeVyOS Platform

Update WireGuard to Debian release 1.0.20200121-2
Closed, InvalidPublicFEATURE REQUEST

Description

Update WireGuard to Debian release 1.0.20200121-2

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTc-po
InvalidFEATURE REQUESTc-po

Event Timeline

c-po closed this task as Resolved.Jan 29 2020, 6:26 PM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po created this task.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
pasik added a subscriber: pasik.Jan 29 2020, 10:09 PM
c-po reopened this task as In progress.Jan 30 2020, 8:22 PM
c-po moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
c-po added a comment.Jan 31 2020, 5:35 PM

Debian changed their package architecture to not longer build the module but move it to a dedicated package.

Lets sit this one out and go streight to Linux 5.6 with included WireGuard in 3-4 months

c-po closed this task as Invalid.Jan 31 2020, 5:35 PM
c-po moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.Feb 2 2020, 10:02 AM